Class Index | File Index

## Classes

- _global_
- Deluge.Events
- Deluge.Formatters
- Deluge.Keys
- Deluge.OptionsManager
- Deluge.UI
- Ext.deluge.TorrentGrid
- Ext.ux.FullProgressBar

# Built-In Namespace _global_

Field Summary
Field Attributes | Field Name and Description
--- | ---
| autoSize
| buttonOffset
| buttonOnly
| buttonText
| readOnly

Method Summary
Method Attributes | Method Name and Description
--- | ---
| alignErrorIcon()
| getFileInputId()
| getPositionEl()
| getResizeEl()
| initComponent()
| onLimitChanged(item, checked)
| onResize(w, h)

Event Summary
Event Attributes | Event Name and Description
--- | ---
| onRender(this, value)

Field Detail
autoSize
Defined in: ext-extensions-debug.js.

buttonOffset
Defined in: ext-extensions-debug.js.

buttonOnly
Defined in: ext-extensions-debug.js.

buttonText
Defined in: ext-extensions-debug.js.

readOnly
Defined in: ext-extensions-debug.js.
Method Detail
alignErrorIcon()
Defined in: ext-extensions-debug.js.

getFileInputId()
Defined in: ext-extensions-debug.js.

getPositionEl()
Defined in: ext-extensions-debug.js.

getResizeEl()
Defined in: ext-extensions-debug.js.

initComponent()
Defined in: ext-extensions-debug.js.

onLimitChanged(item, checked)
Defined in: Deluge.Menus.js.

Parameters:
item
checked

onResize(w, h)
Defined in: ext-extensions-debug.js.

Parameters:
w
h

Event Detail
onRender(this, value)
Defined in: ext-extensions-debug.js.

Parameters:
{Ext.form.FileUploadField} this
{String} value
  The file value returned by the underlying file input field

Documentation generated by JsDoc Toolkit 2.1.0 on Tue Jun 16 2009 19:13:08 GMT+0100 (BST)